<?
require_once('include/global.php');
require_once("include/file.php");
require_once('conf.inc.php');


// check
	if (!$_POST['sg_no'] || !$_POST['sg_name'] || !$_POST['sg_content'])
		msg('올바른 URL로 접근하여 주십시오');

	// 중복여부 체크
	$sg_cnt = db_get_one("SELECT COUNT(*)  FROM " . $TB['SIGN'] . " WHERE m_no='" . $AUTH['auth_m_no'] . "' AND sg_name='" . $_POST['sg_name'] . "' AND sg_no != '" . $_POST['sg_no'] . "'" );
	if ($sg_cnt > 0)
		msg("이미 존재하는 서명 이름입니다.\\n\\n다른 이름을 사용하여 주십시오.");


// data
	// 기존 sg_files 가져오기
	$original_sg_files = db_get_one("SELECT SG_FILES FROM " .$TB['SIGN'] . " WHERE m_no='" . $AUTH['auth_m_no']  . "' AND sg_no='" . $_POST['sg_no'] . "'");

	$original_files = array();
	if ($original_sg_files !== '') {
		$ex_files = explode('||', $original_sg_files);
		for ($i = 0; $i < sizeof($ex_files); $i++) {
			$files = explode('|', $ex_files[$i]);
			$original_files[] = $files[1];
		}
	}

	$_POST['sg_name'] = to_db_str($_POST['sg_name'], 50);
	// [2007-01-24] 본문과 여러줄 띄울 경우를 대비해 trim()을 사용하지 않아야 함.
	//to_db_str($_POST['sg_content'], $G_SYS['DB_TEXT'], false);
	$_POST['sg_content'] = to_db_str($_POST['sg_content'], $G_SYS['DB_TEXT'], false, false);

	$sg_content = editor_content_cid_replace($_POST['sg_content'], "sign_image_tmp.php?cid=", "sign_image.php?sg_no=". $_POST['sg_no'] . "&cid=");

	$errorMsg = '';

	$sg_file_size = 0;
	$sg_files = null;
	if ($_POST['sg_files']) {
		list($sg_file_size, $sg_files) = editor_image_files($sg_content, "sign_image.php?sg_no=". $_POST['sg_no'], $_POST['sg_files'], 'sign', $_POST['sg_no']);
	}

	// [2025-09-10] 서명 이미지 계정당 할당량 체크
	$sg_file_size_sum = (int)db_get_one("SELECT sum(sg_file_size) as sg_file_size FROM " . $TB['SIGN'] . " WHERE m_no='" . $AUTH['auth_m_no'] . "' AND sg_no !='" . $_POST['sg_no'] . "'");

	if ($sg_file_size_sum + $sg_file_size > $G_SYS[UPLOAD_MAIL_SIGN_MAX_SIZE]) {
		msg("서명 이미지 계정당 할당량인 [" . filesize_human($G_SYS[UPLOAD_MAIL_SIGN_MAX_SIZE]) . "]를 초과하였습니다.\\n\\n사용하지 않는 서명을 삭제 후 다시 시도해주세요.");
	}

	$sql = "
		UPDATE
			" . $TB['SIGN'] . "
		SET
			sg_name='" . $_POST['sg_name'] . "',
			sg_content='" . $sg_content . "',
			sg_files='" . $sg_files . "',
			sg_file_size='" . $sg_file_size . "'
		WHERE
			sg_no='" . $_POST['sg_no'] . "'
			AND m_no='". $AUTH['auth_m_no'] . "' 
		";
	db_query($sql);

	// [2025-09-10] 디비 저장 성공후 실제 디렉토리로 이동
	if ($sg_files) {
		$_ex = explode('||', $sg_files);
		for ($i = 0; $i < sizeof($_ex); $i++) {
			$files = explode('|', $_ex[$i]);
			$upload_new_dir = 'sign/' . $G_SYS[MAIL_DOMAIN] . '/' . $AUTH[auth_m_mail_file_group] . '/' . $AUTH[auth_m_id]
				. '/' . $_POST['sg_no'];
			// 기존 $original_files가 아닐 경우에만 이동
			if (! in_array($files[1], $original_files)) {
				$errorMsg .= file_move($files[1], '', $UPLOAD_DIR[BIGFILE_TMP], $files[1], '', $upload_new_dir);
			}
		}    // for()
	}

// end
	if ($errorMsg != '')
		msg("서명이 수정되었습니다.".$errorMsg, 0);
	movepage('sign.php');


require_once('include/global_end.php');
?>